Retirer votre demande de suppression
curl --request POST \
--url https://api.saspay.me/api/v1/merchant-deletion-requests/{id}/cancel/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Finalement nous continuons notre activité"
}
'import requests
url = "https://api.saspay.me/api/v1/merchant-deletion-requests/{id}/cancel/"
payload = { "reason": "Finalement nous continuons notre activité" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Finalement nous continuons notre activité'})
};
fetch('https://api.saspay.me/api/v1/merchant-deletion-requests/{id}/cancel/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d4e5f6a7-2b3c-4d5e-8f9a-0b1c2d3e4f5a",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"requested_by_member": "aa11bb22-3c4d-4e5f-8a9b-0c1d2e3f4a5b",
"reason": "Fermeture de notre activité e-commerce",
"status": "CANCELLED",
"reviewed_by_admin": null,
"review_note": "",
"reviewed_at": null,
"created_at": "2026-08-12T11:00:00Z",
"updated_at": "2026-08-12T11:20:00Z"
}{
"message": "Demande déjà 'APPROVED'.",
"code": "not_pending"
}Marchand
Retirer une demande
Annule votre demande de suppression tant qu’elle est PENDING
POST
/
merchant-deletion-requests
/
{id}
/
cancel
/
Retirer votre demande de suppression
Fonctionne uniquement si la demande est encore
PENDING. Sinon : 409 Conflict, {"message": "Demande déjà '<status>'.", "code": "not_pending"}.⌘I